Subject: Re: bug#10736: Add "underwave" face attribute

From: Alp Aker <[email-masked]>
Date: Fri, 13 Apr 2012 19:35:28 -0400

On Fri, Apr 13, 2012 at 6:05 AM, Aurélien Aptel
<[email-masked]> wrote:
> Concerning the NS port, as I understand drawing primitives work on a
> non-discrete plane where integer coordinates falls "between" pixels
> resulting in two blurred pixels instead of a filled one. Since I can't
> experiment on this platform I was wondering if you could try shifting
> every coordinate by .5 to see if it looks better.

It's not a matter of the coordinate system.  The Cocoa line drawing
functions draw each line so that it's centered on its path.  If the
width of the line is an odd number of pixels, anti-aliasing can then
make it look wider than expected.

In my (limited) experience, this effect is only noticeable when
drawing straight vertical or horizontal line segments.  In the present
case, shifting by 0.5 pixels has no discernable affect on the
appearance of the underwave.